<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('cutting_materials', function (Blueprint $table) {
            $table->id();

            $table->foreignId('user_id')->nullable()->constrained()->cascadeOnDelete();
            $table->foreignId('cutting_id')->nullable()->constrained()->cascadeOnDelete();
            $table->foreignId('raw_material_price_id')->constrained()->restrictOnDelete();
            $table->foreignId('combination_id')->nullable()->constrained('cutting_material_combinations')->cascadeOnDelete();

            $table->integer('material_usage');
            $table->integer('material_result')->nullable();

            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent()->useCurrentOnUpdate();
            $table->softDeletes();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('cutting_materials');
    }
};
